Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Modules/WalkingEngine/GT2004ParameterSet.cpp File Reference

Implementation of class GT2004Parameters and GT2004ParametersSet. More...

`#include "GT2004ParameterSet.h"`
`#include "Modules/WalkingEngine/InvKinWalkingParameterSets.h"`
`#include "Tools/Streams/InStreams.h"`
`#include "Tools/Streams/OutStreams.h"`

Include dependency graph for GT2004ParameterSet.cpp:

Go to the source code of this file.

## Functions
In & | operator>> (In &stream, GT2004Parameters &walkingParameters)
| Streaming operator that reads GT2004Parameters from a stream.
Out & | operator<< (Out &stream, const GT2004Parameters &walkingParameters)
| Streaming operator that writes GT2004Parameters to a stream.
In & | operator>> (In &stream, GT2004ParametersSet &walkingParametersSet)
| Streaming operator that reads GT2004ParametersSets from a stream.
Out & | operator<< (Out &stream, const GT2004ParametersSet &walkingParametersSet)
| Streaming operator that writes GT2004ParametersSets to a stream.

## Detailed Description

Implementation of class GT2004Parameters and GT2004ParametersSet.

Author:
  Uwe Düffert

Definition in file GT2004ParameterSet.cpp.

## Function Documentation

In& operator>> | ( | In & | stream,
|  | GT2004Parameters & | walkingParameters
| ) |

  | Streaming operator that reads GT2004Parameters from a stream. Parameters:
  stream | The stream from which is read.
  walkingParameters | The GT2004Parameters object.
Returns: The stream. Definition at line 99 of file GT2004ParameterSet.cpp.

Out& operator<< | ( | Out & | stream,
|  | const GT2004Parameters & | walkingParameters
| ) |

  | Streaming operator that writes GT2004Parameters to a stream. Parameters:
  stream | The stream to write on.
  walkingParameters | The GT2004Parameters object.
Returns: The stream. Definition at line 136 of file GT2004ParameterSet.cpp.

In& operator>> | ( | In & | stream,
|  | GT2004ParametersSet & | walkingParametersSet
| ) |

  | Streaming operator that reads GT2004ParametersSets from a stream. Parameters:
  stream | The stream from which is read.
  walkingParametersSet | The GT2004ParametersSet object.
Returns: The stream. Definition at line 1036 of file GT2004ParameterSet.cpp.

Out& operator<< | ( | Out & | stream,
|  | const GT2004ParametersSet & | walkingParametersSet
| ) |

  | Streaming operator that writes GT2004ParametersSets to a stream. Parameters:
  stream | The stream to write on.
  walkingParametersSet | The GT2004ParametersSet object.
Returns: The stream. Definition at line 1055 of file GT2004ParameterSet.cpp.